package com.steerinfo.baseinfo.meterbaserailwayhistaredetail.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="历史皮重计算配置表")
public class MeterBaseRailwayHisTareDetail implements IBasePO<String> {
    /**
     * 数据编号（YYYYMMDD+4位流水）(DETAIL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="数据编号（YYYYMMDD+4位流水）",required=true)
    private String detailNo;

    /**
     * 作业编号(ACTUAL_FIRST_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="作业编号",required=false)
    private String actualFirstNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=true)
    private String carNo;

    /**
     * 皮重数据（kg）(METER_WEIGHT,DECIMAL,10)
     */
    @ApiModelProperty(value="皮重数据（kg）",required=true)
    private Long meterWeight;

    /**
     * 皮重计量员(METER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="皮重计量员",required=false)
    private String meterName;

    /**
     * 皮重计量时间（YYYY-MM-DD HH：mm：ss）(METER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="皮重计量时间（YYYY-MM-DD HH：mm：ss）",required=true)
    private Date meterTime;

    /**
     * 计量次序(1:一次计量；2：二次计量； 3：期限皮重)(METER_ORDER,VARCHAR,1)
     */
    @ApiModelProperty(value="计量次序(1:一次计量；2：二次计量； 3：期限皮重)",required=true)
    private String meterOrder;

    /**
     * 状态（0：有效；1：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：有效；1：无效）",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.detailNo;
    }

    @Override
    public void setId(String detailNo) {
        this.detailNo = detailNo == null ? null : detailNo.trim();
    }

    public String getDetailNo() {
        return detailNo;
    }

    public void setDetailNo(String detailNo) {
        this.detailNo = detailNo == null ? null : detailNo.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Long getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(Long meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getMeterName() {
        return meterName;
    }

    public void setMeterName(String meterName) {
        this.meterName = meterName == null ? null : meterName.trim();
    }

    public Date getMeterTime() {
        return meterTime;
    }

    public void setMeterTime(Date meterTime) {
        this.meterTime = meterTime;
    }

    public String getMeterOrder() {
        return meterOrder;
    }

    public void setMeterOrder(String meterOrder) {
        this.meterOrder = meterOrder == null ? null : meterOrder.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", detailNo=").append(detailNo);
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", carNo=").append(carNo);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", meterName=").append(meterName);
        sb.append(", meterTime=").append(meterTime);
        sb.append(", meterOrder=").append(meterOrder);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}